require 'test_helper'

class CStavCinnostisControllerTest < ActionController::TestCase
  setup do
    @c_stav_cinnosti = c_stav_cinnostis(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:c_stav_cinnostis)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create c_stav_cinnosti" do
    assert_difference('CStavCinnosti.count') do
      post :create, c_stav_cinnosti: @c_stav_cinnosti.attributes
    end

    assert_redirected_to c_stav_cinnosti_path(assigns(:c_stav_cinnosti))
  end

  test "should show c_stav_cinnosti" do
    get :show, id: @c_stav_cinnosti
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @c_stav_cinnosti
    assert_response :success
  end

  test "should update c_stav_cinnosti" do
    put :update, id: @c_stav_cinnosti, c_stav_cinnosti: @c_stav_cinnosti.attributes
    assert_redirected_to c_stav_cinnosti_path(assigns(:c_stav_cinnosti))
  end

  test "should destroy c_stav_cinnosti" do
    assert_difference('CStavCinnosti.count', -1) do
      delete :destroy, id: @c_stav_cinnosti
    end

    assert_redirected_to c_stav_cinnostis_path
  end
end
